import { OAuthProvider as GoogleOAuthProvider, AuthProvider, OAuthCredential } from '@forest-fire/types';
export declare class OAuthProvider implements GoogleOAuthProvider {
    providerId: string;
    constructor(providerId: string);
    addScope(_scope: string): AuthProvider;
    credential(_idToken?: string, _accessToken?: string): OAuthCredential;
    setCustomParameters(_customOAuthParameters: Record<string, unknown>): AuthProvider;
}
