import { ClientSdk, IMockAuthMgmt, User } from '@forest-fire/types';
export declare const emailExistsAsUserInAuth: (api: IMockAuthMgmt<ClientSdk>) => (email: string) => boolean;
export declare const emailIsValidFormat: (_api: IMockAuthMgmt<ClientSdk>) => (email: string) => boolean;
export declare const emailHasCorrectPassword: (api: IMockAuthMgmt<ClientSdk>) => (email: string, password: string) => boolean;
export declare const emailVerified: (api: IMockAuthMgmt<ClientSdk>) => (email: string) => boolean;
export declare const userUid: (api: IMockAuthMgmt<ClientSdk>) => (email: string) => string;
export declare const emailValidationAllowed: (api: IMockAuthMgmt<ClientSdk>) => () => boolean;
export declare const loggedIn: (api: IMockAuthMgmt<ClientSdk>) => (user: User) => void;
export declare const loggedOut: (api: IMockAuthMgmt<ClientSdk>) => () => void;
