import { IRtdbSdk, ISerializedQuery } from '@forest-fire/types';
import { QueryFunction } from "../../../@types";
export declare function startAt<TSdk extends IRtdbSdk, TData extends unknown = Record<string, unknown>>(query: ISerializedQuery<TSdk, TData>): QueryFunction;
export declare function endAt<TSdk extends IRtdbSdk, TData extends unknown = Record<string, unknown>>(query: ISerializedQuery<TSdk, TData>): QueryFunction;
/** a filter function for queries with a `equalTo` value */
export declare function equalTo<TSdk extends IRtdbSdk, TData extends unknown = Record<string, unknown>>(query: ISerializedQuery<TSdk, TData>): QueryFunction;
