import { GooglePhoneAuthProvider, AuthCredential, PhoneAuthProvider_Instance, ApplicationVerifier } from '@forest-fire/types';
export declare class PhoneAuthProvider implements PhoneAuthProvider_Instance, GooglePhoneAuthProvider {
    static PROVIDER_ID: string;
    static PHONE_SIGN_IN_METHOD: string;
    static credential(_verificationId: string, _verificationCode: string): AuthCredential;
    providerId: string;
    verifyPhoneNumber(_phoneNumber: string, _applicationVerifier: ApplicationVerifier): Promise<string>;
}
