import { IMockAuthMgmt, ISdk, User } from '@forest-fire/types';
/**
 * Combines the property and API aspects into a `User` object where
 * the API aspects are provided access to the `IMockAuthMgmt` api to
 * ensure function calls effect the correct AUTH instance.
 */
export declare function createUser(api: IMockAuthMgmt<ISdk>, user: Partial<User>): User;
