import { IMockAuthConfig, IMockAuthMgmt, ISdk } from '@forest-fire/types';
import { AuthFrom } from '@forest-fire/types';
/**
 * A factory function which generates the appropriate Auth API (for the
 * passed in SDK) as well as a `authManager` API to manipulate the auth state
 * with super-powers.
 */
export declare function createAuth<TSdk extends ISdk>(sdk: TSdk, mockAuth: IMockAuthConfig): [AuthFrom<TSdk>, IMockAuthMgmt<TSdk>];
