import { IRtdbSdk, ISerializedQuery } from '@forest-fire/types';
/** an filter function for queries with a `limitToFirst` value */
export declare function limitToFirst<TSdk extends IRtdbSdk, TData extends unknown = Record<string, unknown>>(query: ISerializedQuery<TSdk, TData>): <D>(list: D[]) => D[];
/** an filter function for queries with a `limitToLast` value */
export declare function limitToLast<TSdk extends IRtdbSdk, TData extends unknown = Record<string, unknown>>(query: ISerializedQuery<TSdk, TData>): <T>(list: T[]) => T[];
